namespace Tinkerforge
{
    public static class ENFC_RFID
    {
        public static (byte TagType, byte TagIdLength, byte[] TagId) GetTagID(this BrickletNFCRFID nfcrfid)
        {
            nfcrfid.GetTagID(out byte tagType, out byte tidLength, out byte[] tid);
            return (tagType, tidLength, tid);

        }

        public static (byte State, bool Idle) GetState(this BrickletNFCRFID nfcrfid)
        {
            nfcrfid.GetState(out byte state, out bool idle);
            return (state, idle);
        }
    }
}
